<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:background="#E0F7FA"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".views.MainActivity">

    <ImageButton
        android:id="@+id/friend"
        android:layout_width="66dp"
        android:layout_height="65dp"
        android:background="@null"
        android:scaleType="fitXY"
        android:src="@drawable/friend"
        android:contentDescription="@string/friend_button_desc"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <ImageButton
        android:id="@+id/notification"
        android:layout_width="66dp"
        android:layout_height="65dp"
        android:background="@null"
        android:scaleType="fitXY"
        android:src="@drawable/notification"
        android:contentDescription="@string/notification_button_desc"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.8"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <ImageButton
        android:id="@+id/setting"
        android:layout_width="66dp"
        android:layout_height="65dp"
        android:background="@null"
        android:scaleType="fitXY"
        android:src="@drawable/setting"
        android:contentDescription="@string/setting_button_desc"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.988"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/myicon"
        android:layout_width="150dp"
        android:layout_height="150dp"
        android:scaleType="centerCrop"
        android:src="@drawable/my_icon"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.534"
        app:shapeAppearance="@style/circle"
        app:strokeColor="@color/black"
        app:strokeWidth="2dp"/>

    <!-- 吹き出し -->
    <ImageView
        android:id="@+id/commentimage"
        android:layout_width="180dp"
        android:layout_height="80dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.432"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.38"
        app:srcCompat="@drawable/comment" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="407dp"
        android:layout_height="241dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <!-- ホーム画面上のメッセージ表示欄 -->
        <LinearLayout
            android:id="@+id/messageList"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@android:color/transparent"
            android:orientation="vertical">

        </LinearLayout>

        <!-- ダイアログ起動ボタン -->
    </LinearLayout>

    <Button
        android:id="@+id/openDialogButton"
        android:layout_width="158dp"
        android:layout_height="53dp"
        android:background="@android:color/transparent"
        android:text="今何してる？"
        android:textColor="@color/black"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.45"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.366" />


</androidx.constraintlayout.widget.ConstraintLayout>